POST gls/api/reports/financial-statements
Request Information
URI Parameters
None.
Body Parameters
FinancialStatementsRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Year | integer |
None. |
|
| Month | integer |
None. |
|
| Mode | string |
None. |
|
| IsAsOf | boolean |
None. |
|
| IsForTheMonth | boolean |
None. |
|
| IsForTheCyclePeriod | boolean |
None. |
|
| CycleDateFrom | date |
None. |
|
| CycleDateTo | date |
None. |
|
| IsMonthly | boolean |
None. |
|
| IsYearly | boolean |
None. |
|
| IsDetailed | boolean |
None. |
|
| IsSummarized | boolean |
None. |
|
| OutputToScreen | boolean |
None. |
|
| OutputToPrinter | boolean |
None. |
|
| StoredProcedureName | string |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"year": 1,
"month": 2,
"mode": "sample string 3",
"isAsOf": true,
"isForTheMonth": true,
"isForTheCyclePeriod": true,
"cycleDateFrom": "2026-04-07T22:23:10.0709906+08:00",
"cycleDateTo": "2026-04-07T22:23:10.0709906+08:00",
"isMonthly": true,
"isYearly": true,
"isDetailed": true,
"isSummarized": true,
"outputToScreen": true,
"outputToPrinter": true,
"storedProcedureName": "sample string 13",
"userId": 1
}
application/xml, text/xml
Sample:
<FinancialStatementsRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <CycleDateFrom>2026-04-07T22:23:10.0709906+08:00</CycleDateFrom> <CycleDateTo>2026-04-07T22:23:10.0709906+08:00</CycleDateTo> <IsAsOf>true</IsAsOf> <IsDetailed>true</IsDetailed> <IsForTheCyclePeriod>true</IsForTheCyclePeriod> <IsForTheMonth>true</IsForTheMonth> <IsMonthly>true</IsMonthly> <IsSummarized>true</IsSummarized> <IsYearly>true</IsYearly> <Mode>sample string 3</Mode> <Month>2</Month> <OutputToPrinter>true</OutputToPrinter> <OutputToScreen>true</OutputToScreen> <StoredProcedureName>sample string 13</StoredProcedureName> <UserId>1</UserId> <Year>1</Year> </FinancialStatementsRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.